<div ng-controller="ContaFormularioCtrl">
    <div class="row">
        <div class="col-lg-12">
            <ul class="page-header breadcrumb">
                <li class="active">Tesouraria</li>
                <li>
                    <a ui-sref="tesouraria.movimentoBancarioConta">
                        Movimento Bancário
                    </a>
                </li>
                <li>
                    <a ui-sref="tesouraria.movimentoBancarioDetalharConta({id: idConta})">
                        Detalhar
                    </a>
                </li>
                <li class="active">Registrar</li>
            </ul>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <i class="fa fa-files-o fa-fw"></i>
                    Movimento Bancário
                </div>

                <div class="panel-body">
                    <div>
                        <div class="col-lg-7" style="margin-left: 20%">
                            <p style="text-align: right" class="required-label">Campo obrigatório</p>
                            <form id="movimentoBancario" class="form form-movimento-bancario" ng-submit="movimentoBancarioSubmit(item)"
                                  name="movimentoBancario" method="post" novalidate="novalidate" >
                                <legend>Movimento Bancário {{infoConta.descConta}} - {{infoMes.noMes}}/{{infoNuAno}}</legend>
                                <fieldset>
                                    <div class="form-group">
                                        <label class="required-label">Descrição</label>
                                        <div class="form-group">
                                            <select
                                                    disable-search="false"
                                                    class="form-control" required="required" name="descricaoMovimentoConta"
                                                    chosen="directiveOptions"
                                                    data-placeholder="Selecione uma opção"
                                                    ng-model="item.descricaoMovimentoConta"
                                                    ng-change="verificaDescMovimentacao(item.descricaoMovimentoConta)"
                                                    ng-options="obj.id as obj.label for obj in descricaoMovimento.values">
                                                <option value=""></option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group" ng-show="descCheque">
                                        <label class="required-label">Cheque nº</label>
                                        <div class="form-group">
                                            <input type="text" ng-required="descCheque" class="form-control" placeholder="Cheque nº" id="nuCheque" name="nuCheque" ng-model="item.nuCheque" ui-number-mask="0">
                                        </div>
                                    </div>
                                    <div class="form-group" ng-show="descCheque">
                                        <label class="required-label">Tipo Registro</label>
                                        <div class="form-group">
                                            <select
                                                    class="form-control"
                                                    ng-required="descCheque"
                                                    name="idTipoRegistroCaixa"
                                                    chosen="directiveOptions"
                                                    data-placeholder="Selecione uma opção"
                                                    ng-model="item.tipoRegistroCaixa"
                                                    ng-options="obj.id as obj.label for obj in tipoRegistroCaixas.values"></select>
                                            <option value="">Selecione</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group" ng-show="descTransferencia">
                                        <label class="required-label">Descrição Transferência</label>
                                        <div class="form-group">
                                            <input type="text" ng-required="descTransferencia" class="form-control" placeholder="Descrição Transferência" id="dsTransferencia" name="dsTransferencia" ng-model="item.dsTransferencia">
                                        </div>
                                    </div>
                                    <div class="form-group" ng-show="descDebito">
                                        <label class="required-label">Débito Automático</label>
                                        <div class="form-group">
                                            <input type="text" ng-required="descDebito" class="form-control" placeholder="Débito Automático" id="dsDebito" name="dsDebito" ng-model="item.dsDebito">
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="required-label">Valor</label>
                                        <div class="form-group">
                                            <input type="text" required="required" class="form-control money" maxlength="45" placeholder="Valor R$" id="nuValor" name="nuValor" ng-model="item.nuValor" ui-money-mask="2">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label></label>
                                        <div class="form-group">
                                            <a ui-sref="tesouraria.movimentoBancarioDetalharConta({id: idConta})">
                                                <button class="btn btn-default btn-success">
                                                    <i class="glyphicon glyphicon-arrow-left"></i> Voltar
                                                </button>
                                            </a>
                                            <button class="btn btn-default btn-primary" name='submit' ng-disabled="movimentoBancario.$invalid" type="submit">
                                                <i class="glyphicon glyphicon-save"></i> Salvar
                                            </button>
                                        </div>
                                    </div>
                                    <div class="input-group form-group col-lg-12">
                                        <table class="table table-bordered table-responsive table-striped">
                                            <thead>
                                            <tr>
                                                <th>Descrição Movimento Conta</th>
                                                <th class="text-center">Valor</th>
                                                <th class="text-center">Excluir</th>
                                            </tr>
                                            </thead>
                                            <tbody id="bodyMovContaDescricao">
                                            <tr ng-repeat="movimentacao in movContaBancario">
                                                <td ng-if="movimentacao.nu_cheque">
                                                    {{ movimentacao.descricao_movimento_conta.no_desc_movimentacao_conta}} -
                                                    Cheque nº: {{movimentacao.nu_cheque}} ({{movimentacao.tipo_registro_caixa.no_tipo_registro_caixa}})
                                                </td>
                                                <td ng-if="movimentacao.ds_transferencia">
                                                    {{ movimentacao.descricao_movimento_conta.no_desc_movimentacao_conta}} - {{movimentacao.ds_transferencia}}
                                                </td>
                                                <td ng-if="!movimentacao.ds_transferencia && !movimentacao.nu_cheque">
                                                    {{ movimentacao.descricao_movimento_conta.no_desc_movimentacao_conta}}
                                                </td>
                                                <td class="text-right">{{ movimentacao.nu_valor | currency}}</td>
                                                <td class="text-center">
                                                    <button class="btn btn-danger btn-sm" data-id_movimentacao_conta="{{movimentacao.movimentacao_conta.id_movimentacao_conta}}"
                                                            data-id_desc_movimento_conta="{{movimentacao.descricao_movimento_conta.id_desc_movimento_conta}}"
                                                            ng-click="deleteMovimentoDescricao($event)" type="button">
                                                        Excluir
                                                    </button>
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                </fieldset>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>